/*
 * @Author: Badguy
 * @Date: 2022-04-13 16:27:03
 * @LastEditTime: 2022-04-15 10:01:06
 * @LastEditors: your name
 * @Description: 标段管理
 * have a nice day!
 */

import request from "@/utils/request";

// 职员列表查询
export function GetOfficerList(params) {
  return request({
    url: "/api/fs4a/GetOfficerList/v1",
    method: "post",
    data: params,
  });
}

// 组织树查询
export function GetOrganTreeNoReg(params) {
  return request({
    url: "/api/fs4a/GetOrganTreeNoReg",
    method: "get",
    params,
  });
}

// 标段树查询
export function GetSections(params) {
  return request({
    url: "/api/fs4a/GetSections",
    method: "get",
    params,
  });
}

// 监管单位查询
export function GetRegList(params) {
  return request({
    url: "/api/fs4a/GetRegList",
    method: "get",
    params,
  });
}

// 保存标段
export function SaveSection(params) {
  return request({
    url: "/api/fs4a/SaveSection",
    method: "post",
    data: params,
  });
}

// 根据用户查询组织树
export function GetSectionByUser(params) {
  return request({
    url: "/api/fs4a/GetSectionByUser",
    method: "post",
    data: params,
  });
}
